### Method

# Gimp Procedure add_aux_argument

#### Declaration [src]

    GParamSpec*
    gimp_procedure_add_aux_argument (
      GimpProcedure* procedure,
      GParamSpec* pspec
    )

#### Description [src]

Add a new auxiliary argument to `procedure` according to `pspec` specifications.

Auxiliary arguments are not passed to the `procedure` in `run()` and are not known to the PDB. They are however members of the `GimpProcedureConfig` created by `gimp_procedure_create_config()` and can be used to persistently store whatever last used values the `procedure` wants to remember across invocations.

Available since: | 3.0

#### Parameters

`pspec` | `GParamSpec`
| The argument specification.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GParamSpec`
| The same `pspec`.
| The data is owned by the instance.